/* Estilo General */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f4f4f4;
}

/* Menú de Navegación */
.navbar {
  padding: 1rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  z-index: 1000; /* Asegura que el menú se quede encima de otros elementos */
  background-color: #192C3F;

}

.navbar-brand {
  display: flex;
  align-items: center;
}

/* Estilo logo */
.logo {
  height: 30px;
  width: auto;
}

.navbar-nav .nav-link {
  font-size: 1rem;
  color: #fff;
}

.navbar-nav .nav-link:hover {
  color: #066E3D;
}


/*Cabecera Fija*/

/* Reset básico */
body, html {
  margin: 0;
  padding: 0;
  height: 100%;
}

/* CABECERA CON FONDO */
/* Reset básico */
body, html {
  margin: 0;
  padding: 0;
  height: 100%;
}

/* CABECERA CON FONDO */
.cabecera-fija {
  background-image: url('img/slider1.jpg');
  background-size: cover;
  background-position: center;
  min-height: 80vh;
  position: relative;
  padding-top: 80px;
  padding-bottom: 80px;
  overflow: hidden;
}

/* Sección de texto */
.text-section {
  padding: 20px;
}

.text-section h1 {
  font-size: 2rem;
  font-weight: bold;
}

.text-section p {
  font-size: 1.1rem;
  margin-bottom: 15px;
}

.btn-success {
  background-color: #249743;
  border-color:  #249743;;
}

/* Formulario */
.formulario-wrapper {
  max-width: 400px;
  margin: auto;
}

.formulario-wrapper h5 {
  font-size: 1.1rem;
  color:  #A6C722;
}

/* RESPONSIVO */
@media (max-width: 768px) {
  .cabecera-fija {
    min-height: auto;
    padding: 60px 0;
    text-align: center;
  }

  .text-section {
    margin-bottom: 30px;
  }

  .formulario-wrapper {
    width: 100%;
  }
}



/* Sección de Servicios */
#servicios {
  padding: 50px 0;
  background-color: #fff;
}

#servicios h2 {
  font-size: 32px;
  margin-bottom: 16px;
  color: #192C3F;
  font-weight: 600;
}

#servicios .row .col-md-4 {
  margin-bottom: 10px;
}

#servicios .col-md-4 img {
  width: 60%;
  height: auto;
  
}

#servicios h4 {
  font-size: 1.5em;
  margin-top: 5px;
  color: #192C3F;
}

#servicios p {
  font-size: 1.1em;
  color: #666;
}


/* Sección de Teléfonos */
#telefonos {
  background-image: url('img/telefono.jpg');
  background-size: cover;
  background-position: center;
  color: white;
  padding: 60px 0;
  text-align: center;
}

#telefonos h2 {
  font-size: 2.5em;
  margin-bottom: 20px;
}

#telefonos p {
  font-size: 1.2em;
  margin-bottom: 10px;
}

#telefonos strong {
  font-size: 1.5em;
  color: #81C046;
}
/* Sección de Cómo lo Hacemos */
.como-verde {
  background-color: #249743; /* Verde oscuro */
  color: #fff;
}
.como-verde h2{
  color: #fff;
}

.como-verde h5{
  color: #fff;
}

.paso {
  
  transition: all 0.3s ease;
}



.paso i {
  color: #192C3F;
  font-size: 1.8rem;
}

@media (max-width: 768px) {
  .paso {
    padding: 20px;
  }
  
}

/* Sección de Nosotros */
#nosotros {
  background-color: #f4f4f4;
  padding: 0px 0;
}

#nosotros h2 {
  font-size: 36px;
  margin-bottom: 30px;
  color: #192C3F;
  font-weight: 600;
}

#nosotros .row {
  display: flex;
  align-items: center;
}

#nosotros .col-md-6 {
  padding: 50px;
}

#nosotros img {
  width: 50%;
  border-radius: 10px;
  
}

/* Sección de Clientes (Slider) */
#clientes {
  padding: 50px 0;
}

#clientes h2 {
  font-size: 32px;
  margin-bottom: 16px;
  color: #249743;
  font-weight: 600;
}

#clientes .carousel-inner .carousel-item img {
  object-fit: cover;
  height: 300px;
  max-height: 400px;
  width: 100%;
  border-radius: 10px;
}

#clientes .carousel-caption {
  background-color: rgba(0, 0, 0, 0.5);
  padding: 10px;
  border-radius: 10px;
}

#clientes .carousel-caption h5 {
  font-size: 1.5em;
  color: white;
}

#clientes .carousel-caption p {
  font-size: 1.1em;
  color: white;
}

/* Estilos Responsivos */
@media (max-width: 768px) {
  .navbar-nav .nav-item .nav-link {
    font-size: 1em;
  }

  #contacto form {
    padding: 20px;
  }

  #contacto input,
  #contacto textarea {
    font-size: 1em;
  }

  #contacto .btn {
    font-size: 1.1em;
    padding: 10px 15px;
  }

  #como i {
    font-size: 2.5em;
  }

  #como h4 {
    font-size: 1.3em;
  }

  #como p {
    font-size: 1em;
  }

  #nosotros img {
    width: 50%;
  }
}

/* ===== Testimonios (carrusel aislado) ===== */
.testimonios-section h2 {
  color: #192C3F; /* Verde Bootstrap */
  text-align: center;
  margin-bottom: 1.5rem;
  padding-bottom: 10px;
  font-weight: 600;
}

.testimonios-section {
  background-color: #efefef;


}

.testimonios-section .testimonial-card {
  background-color: white;
  border-left: 20px solid #249743;

}

.testimonios-section .testimonial-img {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  object-fit: cover;
  border: 2px solid #192C3F;
  flex-shrink: 0;
}

@media (max-width: 476px) {
  .testimonios-section .testimonial-img {
    width: 80px;
    height: 80px;
  }
}

.testimonios-section .carousel-item {
  transition: transform 0.6s ease, opacity 0.6s ease;
}

.testimonios-section .carousel-control-prev,
.testimonios-section .carousel-control-next {
  filter: invert(1); /* Botones claros sobre fondo claro */
}


/* Estilos Responsivos para el Slider */
@media (max-width: 576px) {
  .carousel-item img {
    object-fit: contain;
    height: 100%;
  }
}
@media (min-width: 768px) {
  .testimonios-section .testimonial-card {
   margin-left: 180px;  /* Aplica margen solo en pantallas grandes */
  }
}

/* Estilos bancos */

.banco-logo {
  max-width: 120px;
  height: auto;
  filter: grayscale(100%);
  transition: filter 0.3s ease;
}

.banco-logo:hover {
  filter: grayscale(0%);
}
#entidades h2 {
  color: #192C3F; /* Verde Bootstrap */
  text-align: center;
  margin-bottom: 1.5rem;
  padding-bottom: 10px;
  font-weight: 600;

}

.chat-buttons {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  z-index: 1000;
}

.chat-button {
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 55px;
  height: 55px;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0,0,0,0.3);
  transition: transform 0.2s;
}

.chat-button:hover {
  transform: scale(1.1);
}

.chat-button i {
  font-size: 28px;
  color: white;
}

/* Colores personalizados */
.chat-button.whatsapp {
  background-color: #25D366;
}

.chat-button.messenger {
  background-color: #0084FF;
}
